summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-01-15 07:46:20 +0100
committerHans de Graaff <graaff@gentoo.org>2017-01-15 07:46:20 +0100
commitf226efa9eef528adc1337fecc001d418a599ec7c (patch)
tree80737fb22771fd60ec4643493d961c8b26b4823f /dev-ruby/maruku
parentmedia-libs/gst-plugins-base: Remove now unused opus local USE flag definition (diff)
downloadgentoo-f226efa9eef528adc1337fecc001d418a599ec7c.tar.gz
gentoo-f226efa9eef528adc1337fecc001d418a599ec7c.tar.bz2
gentoo-f226efa9eef528adc1337fecc001d418a599ec7c.zip
dev-ruby/maruku: add 0.7.3
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ruby/maruku')
-rw-r--r--dev-ruby/maruku/Manifest1
-rw-r--r--dev-ruby/maruku/maruku-0.7.3.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-ruby/maruku/Manifest b/dev-ruby/maruku/Manifest
index 97a08b18bc3..9aebd9b6022 100644
--- a/dev-ruby/maruku/Manifest
+++ b/dev-ruby/maruku/Manifest
@@ -1 +1,2 @@
DIST maruku-0.7.2.gem 142336 SHA256 e8a755d8e9c24f1601157c8b376f0378f88d487fa777aa655f332504557a0798 SHA512 45eaec7ba721499acbfed97cac4eddfe50c2200a70394e06dc6dd4c6c642b0c58d126c48dabfc4b9697423dd99ecf8691e223125a44d59a382a76e051f2af622 WHIRLPOOL e472acd1366a032c920447ede4a329defa074338da16ae3075238f6f2d6498b2968a1f09ac040ff90d9aef14ea4d0d5a118abcf334cd245a231fb3cc1eb0a090
+DIST maruku-0.7.3.gem 140288 SHA256 dd14156f57b5433993710adca63b766d18b36f6e35cb25c21b178a6edfedebe4 SHA512 efef3eea7451e32c06c0820834cb98eb5424f6837b2e66e44482679d73d958e1e2c59e790a3e5ba26e0c91ece0a5c17f91877a7797d9a15a73b5344b0d444507 WHIRLPOOL 8ec5e8f8ebfb3650c674dca3f70c34260599a3f3a56636306ba2f9bc2e8d7ddf44e4183d901819228bd91394bd1c86c6c9eee6a8b03edcc9496b901ad7a12c82
diff --git a/dev-ruby/maruku/maruku-0.7.3.ebuild b/dev-ruby/maruku/maruku-0.7.3.ebuild
new file mode 100644
index 00000000000..f15c0d82626
--- /dev/null
+++ b/dev-ruby/maruku/maruku-0.7.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="docs/div_syntax.md docs/entity_test.md
+ docs/markdown_syntax.md docs/maruku.md docs/math.md docs/other_stuff.md
+ docs/proposal.md"
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Markdown-superset interpreter written in Ruby"
+HOMEPAGE="https://github.com/bhollis/maruku"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="highlight test"
+
+ruby_add_bdepend "test? ( dev-ruby/nokogiri-diff )"
+ruby_add_rdepend "highlight? ( dev-ruby/syntax )"
+
+DEPEND+=" test? ( app-text/blahtexml )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Ss]imple[Cc]ov/ s:^:#:' spec/spec_helper.rb || die
+}
+
+pkg_postinst() {
+ elog
+ elog "You need to emerge app-text/texlive and dev-texlive/texlive-latexextra if"
+ elog "you want to use --pdf with Maruku. You may also want to emerge"
+ elog "dev-texlive/texlive-latexrecommended to enable LaTeX syntax highlighting."
+ elog
+}